apiVersion: backstage.io/v1alpha1
kind: Component
metadata:
  name: dev-backstage
  title: Backstage (dev)
  description: Backstage instance running in Kubernetes
  annotations:
    backstage.io/kubernetes-id: backstage
    argocd.argoproj.io/ignore-differences: "true"
    backstage.io/techdocs-ref: dir:.   # points to root
  links:
    - url: https://github.com/AllardKrings/kubernetes
      title: backstage-configuratie
spec:
  type: service
  lifecycle: production
  owner: group:default/allarddcs
  subcomponentOf: component:default/DEV-cluster
  techdocs:
    builder: local
